DOM::HTMLFormElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLFormElement Class Reference

The `FORM` element encompasses behavior similar to a collection and an element. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLFormElement:

[legend]
Collaboration diagram for DOM::HTMLFormElement:

[legend]
List of all members.

## Public Member Functions
| HTMLFormElement (const HTMLFormElement &other)
| HTMLFormElement (const Node &other)
HTMLFormElement & | operator= (const HTMLFormElement &other)
HTMLFormElement & | operator= (const Node &other)
HTMLCollection | elements () const
| Returns a collection of all control elements in the form.
long | length () const
| The number of form controls in the form.
DOMString | name () const
| Names the form.
void | setName (const DOMString &)
| see name
DOMString | acceptCharset () const
| List of character sets supported by the server.
void | setAcceptCharset (const DOMString &)
| see acceptCharset
DOMString | action () const
| Server-side form handler.
void | setAction (const DOMString &)
| see action
DOMString | enctype () const
| The content type of the submitted form, generally "application/x-www-form-urlencoded".
void | setEnctype (const DOMString &)
| see enctype
DOMString | method () const
| HTTP method used to submit form.
void | setMethod (const DOMString &)
| see method
DOMString | target () const
| Frame to render the resource in.
void | setTarget (const DOMString &)
| see target
void | submit ()
| Submits the form.
void | reset ()
| Restores a form element's default values.
## Protected Member Functions
| HTMLFormElement (HTMLFormElementImpl *impl)
## Friends
class | HTMLButtonElement
class | HTMLFieldSetElement
class | HTMLInputElement
class | HTMLLabelElement
class | HTMLLegendElement
class | HTMLSelectElement
class | HTMLTextAreaElement
class | HTMLOptionElement
class | HTMLIsIndexElement
class | HTMLObjectElement

## Detailed Description

The `FORM` element encompasses behavior similar to a collection and an element.

It provides direct access to the contained input elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

Definition at line 193 of file html_form.h.

## Member Function Documentation

HTMLCollection HTMLFormElement::elements | ( |  | ) | const

| Returns a collection of all control elements in the form. Definition at line 199 of file html_form.cpp.

long HTMLFormElement::length | ( |  | ) | const

| The number of form controls in the form. Definition at line 205 of file html_form.cpp.

DOMString HTMLFormElement::name | ( |  | ) | const

| Names the form. Definition at line 211 of file html_form.cpp.

void HTMLFormElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 217 of file html_form.cpp.

DOMString HTMLFormElement::acceptCharset | ( |  | ) | const

| List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0. Definition at line 222 of file html_form.cpp.

void HTMLFormElement::setAcceptCharset | ( | const DOMString & |  | ) |

| see acceptCharset Definition at line 228 of file html_form.cpp.

DOMString HTMLFormElement::action | ( |  | ) | const

| Server-side form handler. See the action attribute definition in HTML 4.0. Definition at line 233 of file html_form.cpp.

void HTMLFormElement::setAction | ( | const DOMString & |  | ) |

| see action Definition at line 239 of file html_form.cpp.

DOMString HTMLFormElement::enctype | ( |  | ) | const

| The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0. Definition at line 244 of file html_form.cpp.

void HTMLFormElement::setEnctype | ( | const DOMString & |  | ) |

| see enctype Definition at line 250 of file html_form.cpp.

DOMString HTMLFormElement::method | ( |  | ) | const

| HTTP method used to submit form. See the method attribute definition in HTML 4.0. Definition at line 255 of file html_form.cpp.

void HTMLFormElement::setMethod | ( | const DOMString & |  | ) |

| see method Definition at line 261 of file html_form.cpp.

DOMString HTMLFormElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 266 of file html_form.cpp.

void HTMLFormElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 272 of file html_form.cpp.

void HTMLFormElement::submit | ( |  | ) |

| Submits the form. It performs the same action as a submit button. Definition at line 277 of file html_form.cpp.

void HTMLFormElement::reset | ( |  | ) |

| Restores a form element's default values. It performs the same action as a reset button. Definition at line 282 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001